Skip to navigation

Get the cluster's Node Pools.

Deprecated
View as Markdown

Retrieve all the node pools with details from the cluster by Universally Unique Identifier (UUID). Deprecated, please use /api/v1/node-pools instead.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

clusterIdstringRequiredformat: "uuid"
Unique identifier of the cluster

Response

Node pools returned successfully.
namestringOptional
Node Pool Name
labelKeystringOptional

Label key for associated nodes to the Node Pool (with value as in labelValue)

labelValuestringOptional

Label value for associated nodes to the Node Pool (with key as in labelKey)

placementStrategyobjectOptional
iddoubleOptionalRead-only
Node Pool unique id
clusterIdstringOptionalformat: "uuid"
Node Pool cluster id
createdAtdatetimeOptional
Node Pool creation time
updatedAtdatetimeOptional
Node Pool update time
deletedAtdatetimeOptional
Node Pool delete time
statusenumOptional
Node Pool status
statusMessagestringOptional
Node Pool status details
nodesstringOptional

List of Nodes that are assigned to this nodepool - as json string

createdBystringOptional
Node Pool creator
updatedBystringOptional
Node Pool updater
isDefaultbooleanOptional
Is the Node Pool the default Node Pool for all nodes not assigned to any other Node Pool
overProvisioningRatiointeger or nullOptionalDeprecated

Errors

403
Forbidden Error
404
Not Found Error